<template>
  <div>
    <el-empty :description="uncontol ? '无访问权限' : '未获取到用户数据'" image="/static/warning.png">
      <el-button v-if="!uncontol" type="primary" @click="toLogin">重新登录</el-button>
    </el-empty>
  </div>
</template>

<script>
export default {
  name:'UnusualState',
  props:['message','uncontol'],
  methods:{
    toLogin(){
      this.$router.push('/login')
    }
  }
}
</script>
